For AI agents: visit https://ovs-skopenapi.readme.io/llms.txt for an index of all pages formatted in Markdown and endpoints in OpenAPI. Append .md to any documentation page URL to get its markdown version.
Shell
curl --location --request POST 'https://apis.openapi.sk.com/api/ovs/v20/messasge/company/f58ccd10-a0bd-11ea-a9b8-ff6a8104c32f' \
--header 'Content-Type: application/json' \
--header 'X-Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJzeXNhZG1pbkB0aG…' \
--header 'appKey: ***********************' \
--data-raw '{
"type": 9999,
"timestamp": 1590654942693,
"message": "test message all"
}
RESPONSE (200 | application/json)
Shell
{
"message": {
"type": 9999,
"timestamp": 1590654942693,
"message": "test message all"
},
"devices": [
{
"serialNo": "uio35fine1236"
},
{
"serialNo": "uio35123451234512345"
}
]
}
Key Type Description type int type of message (OTA, event ID et al.) timestamp int linux epoch time in miliseconds message string message contents serialNo string the device which the message was delivered
Shell
curl --location --request POST 'https://apis.openapi.sk.com/api/ovs/v20/message/device/uio35fine1236' \
--header 'Content-Type: application/json' \
--header 'X-Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJzeXNhZG1pbkB0aG…' \
--header 'appKey: ***********************' \
--data-raw '{
"type": 9999,
"timestamp": 1590654942693,
"message": "test message"
}'
RESPONSE (200 | application/json)
Shell
{
"message": {
"type": 9999,
"timestamp": 1590654942693,
"message": "test message"
},
"serialNo": "uio35fine1236"
}
Key Type Description type int type of message (OTA, event ID et al.) timestamp int linux epoch time in miliseconds message string message contents serialNo string the device which the message was delivered